# ESC configuration

There are four on-board ESCs on the DroneCore.Power board, which can be configured through host PC(Linux / Windows) application called AMC\_manager. AMC\_manager can connect to ESC, configure parameters, identify motor, read error messages, update firmware and more.

For the purpose of switching between individual ESCs, there is a configuration application, which is executed directly on the Jetson. The ESC configuration app is a part of the provided system image.

{% hint style="info" %}
All ESC settings, configuration and motor parameters are stored in an embedded, non-removable EEPROM on the .Power board.
{% endhint %}

#### Connection and configuration flow

* The use of the complete DroneCore.Suite with Nvidia Jetson assembled is assumed.
* Connect the USB cable from the host PC (USB Type A) to the USB adapter Alink (USB Micro B)
* Connect the 3pin JST cable from the USB adapter Alink to the connector on the DroneCore.Power board marked as CONFIG.
* Start the [AMC\_manager](https://test-airvolute.gitbook.io/test-airvolute-docs/autopilots/getting-started/motor-connection/esc-configuration-app-amc-manager-v1.1.0) application and open the corresponding COM port (according to the manual below)
* Power on the board (use of a battery or a strong power supply as a power source is recommended)
* [Connect to Nvidia Jetson](https://test-airvolute.gitbook.io/test-airvolute-docs/autopilots/getting-started/connection-test/jetson-connection) (USB / Wi-Fi)
* Start the esc\_configuration app
* Follow the steps in the esc\_configuration app
* After the configuration is complete, power off the board and disconnect the cable from the CONFIG connector

#### Configuration control application

* esc\_configuration is a simple console application which communicates with the .Power board through the I2C peripheral.
* Location of the app: `home/dcs_user/useful_scripts_apps/`
* If not running on the provided Jetson image, download the executable from [storage](https://github.com/airvolute/DroneCore.Suite/tree/main/DroneCore.Suite/DroneCore.Power/Applications/ESC_configuration_app)
  * Execute sudo chmod 777 on the downloaded executable to be able to run properly
* Run the app with `./esc_configuration`

![ESC configuration application](https://341257526-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkuuT7PXOBpck5wDlb6XM%2Fuploads%2Fgit-blob-4a9d0a52282e60b1fb53adbe26faa763f4419403%2Fesc_config_app.png?alt=media\&token=e226e0c8-e4f1-4489-96f1-2e59b4ad4922)

* Pressing 'ENTER' will lead the user through the whole configuration flow

**esc\_configuration application flow:**

![ESC configuration flow](https://341257526-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkuuT7PXOBpck5wDlb6XM%2Fuploads%2Fgit-blob-445eec878286b8402fccc70e1f270d0061250638%2Fescconfigflow.png?alt=media\&token=8428080c-e1f6-4ee6-a77e-f101c3f87dd9)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.airvolute.com/autopilots/dronecore-1/getting-started/motor-connection/esc-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
